# Get 3DS pre-initiate authentication details

Retrieves the details of a specific 3DS pre-initiate authentication using the authenticationId provided in the path. Note: This endpoint is intended for use with the Components SDKs.

Endpoint: GET /threedsecure/integrated/authentications/{authenticationId}/assessment
Version: 1.0.0

## Path parameters:

  - `authenticationId` (string, required)
    The authentication ID.

## Response 200 fields (application/json):

  - `authenticationId` (string,null)
    A unique reference provided by PXP for the authentication request, represented as a GUID.
    Example: "550e8400-e29b-41d4-a716-446655440000"

  - `state` (string,null)
    The current state of the authentication request. For pre-initiation, this can only be PendingClientData or null (if the card isn't enrolled for 3DS).
    Enum: "PendingClientData"

  - `scaMandated` (boolean)
    Whether Strong Customer Authentication (SCA) is mandated for this transaction.
    Example: true

  - `applicableExemptions` (string,null)
    Specifies any exemptions that apply to the transaction from SCA requirements.
    Enum: "LVP", "TRA"

  - `threeDSecureVersion` (string,null)
    The version of the 3D Secure protocol being used for the authentication.
    Example: "2.1.0"

  - `threeDSecureFingerprintUrl` (string,null)
    The URL to which the 3D Secure method data should be sent.
    Example: "https://example.com/3ds-method"

  - `threeDSecureFingerprintData` (string,null)
    Data required for the 3D Secure method, typically a base64 encoded string.
    Example: "eyJ0aHJlZURTU2VjdXJlTWV0aG9kRGF0YSI6IlhYWiJ9"

  - `threeDSecureSupported` (boolean)
    Whether 3D Secure authentication is supported for this transaction.
    Example: true

  - `recommendedChallengeIndicator` (string,null)
    The recommended challenge indicator.

## Response 400 fields (application/json):

  - `errorCode` (string,null)

  - `errorReason` (string,null)

  - `correlationId` (string,null)

  - `details` (array,null)

## Response 401 fields (application/json):

  - `errorCode` (string,null)

  - `errorReason` (string,null)

  - `correlationId` (string,null)

  - `details` (array,null)

## Response 403 fields (application/json):

  - `errorCode` (string,null)

  - `errorReason` (string,null)

  - `correlationId` (string,null)

  - `details` (array,null)

## Response 404 fields (application/json):

  - `errorCode` (string,null)

  - `errorReason` (string,null)

  - `correlationId` (string,null)

  - `details` (array,null)

## Response 500 fields (application/json):

  - `errorCode` (string,null)

  - `errorReason` (string,null)

  - `correlationId` (string,null)

  - `details` (array,null)


